Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::NotebookSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Notebook. More...

`#include <xfc/gtk/notebooksignals.hh>`

Inheritance diagram for Xfc::Gtk::NotebookSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_switch_page (Widget &page_child, unsigned int page_num)
    Called when the user or a function changes the current page.

## Protected Member Functions

Constructors

- NotebookSignals (Notebook *notebook)
    Constructs a new NotebookSignals object.
- virtual ~NotebookSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Notebook.

## Constructor & Destructor Documentation

Xfc::Gtk::NotebookSignals::NotebookSignals | ( | Notebook * | notebook | ) | `[protected]`

Constructs a new NotebookSignals object.

Parameters:

  | notebook | A Notebook object inheriting the NotebookSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::NotebookSignals::on_switch_page | ( | Widget & | page_child,
|  | unsigned int | page_num
| ) | `[virtual]`

Called when the user or a function changes the current page.

Parameters:

  | page_child | The child widget that is the contents of the new current page.
  | page_num | The index of the new current page.

The page_child argument is a reference the child widget that was added to the page page_num when it was created, either by calling append_page(), prepend_page() or insert_page().

The documentation for this class was generated from the following file:

- notebooksignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3